%define major 1
%define libxfont %mklibname xfont %{major}
%define devxfont %mklibname xfont -d

Name: libxfont
Summary:  X font Library
Version: 1.5.1
%define subrel 2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
# submitted upstream as bug #11573
Patch3: libXfont-1.3.4-rescan-catalogue-dir-fontpaths-on-directory-change.patch
Patch4: libxfont-1.5.1-CVE-2017-13720.patch
Patch5: libxfont-1.5.1-CVE-2017-13722.patch
Patch6: libxfont-1.5.1-CVE-2017-16611.patch

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
BuildRequires: bzip2-devel

%description
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}
Summary:  X font Library
Group: Development/X11
Provides: %{name} = %{version}
Requires: x11-font-encodings

%description -n %{libxfont}
X font Library

%files -n %{libxfont}
%{_libdir}/libXfont.so.%{major}
%{_libdir}/libXfont.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxfont}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxfont} = %{version}-%{release}
Provides: libxfont-devel = %{version}-%{release}
Obsoletes: %{_lib}xfont1-devel < 1.4.6-2
Obsoletes: %{_lib}xfont1-static-devel < 1.4.6-2

%description -n %{devxfont}
Development files for %{name}

%files -n %{devxfont}
%{_libdir}/libXfont.so
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#-----------------------------------------------------------

%prep
%setup -q -n libXfont-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static \
	--with-encodingsdir=%{_datadir}/fonts/encodings \
	--with-bzip2 \
	--disable-fc
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Fri Dec 01 2017 ns80 <ns80> 1.5.1-1.2.mga5
+ Revision: 1180578
- add upstream patch for CVE-2017-16611 (mga#22101)
- add patches for CVE-2017-1372[02] (mga#21834)

* Tue Mar 17 2015 luigiwalser <luigiwalser> 1.5.1-1.mga5
+ Revision: 818726
- 1.5.1 (fixes CVE-2015-180[2-4])

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 741048
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 681880
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 tv <tv> 1.5.0-1.mga5
+ Revision: 656013
- new release

* Tue Jul 08 2014 tv <tv> 1.4.99.901-1.mga5
+ Revision: 650620
- drop merged patch
- new release

* Tue Jun 24 2014 luigiwalser <luigiwalser> 1.4.8-2.mga5
+ Revision: 639149
- disable xfs support

* Mon Jun 23 2014 luigiwalser <luigiwalser> 1.4.8-1.mga5
+ Revision: 639109
- add patch from omdv to try to fix build
- 1.4.8

* Thu Jan 09 2014 tv <tv> 1.4.7-1.mga4
+ Revision: 565775
- new security release (mga#12237)

* Sat Oct 19 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 532719
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.4.6-2.mga4
+ Revision: 469466
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Wed Jul 24 2013 luigiwalser <luigiwalser> 1.4.6-1.mga4
+ Revision: 457737
- 1.4.6

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.4.5-3.mga3
+ Revision: 397157
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.4.5-2.mga3
+ Revision: 358575
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 tv <tv> 1.4.5-1.mga2
+ Revision: 218463
- new release

* Thu Dec 22 2011 fwang <fwang> 1.4.4-2.mga2
+ Revision: 186034
- drop .la file

  + tv <tv>
    - new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.4.3-1.mga1
+ Revision: 5612
- imported package libxfont


* Fri Oct 29 2010 Thierry Vignaud <tv@mandriva.org> 1.4.3-1mdv2011.0
+ Revision: 590052
- new release

* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 556457
- new release

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 1.4.1-1mdv2010.1
+ Revision: 463586
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.0-2mdv2010.0
+ Revision: 425913
- rebuild

* Thu Feb 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 342750
- update to new version 1.4.0

* Wed Dec 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.4-1mdv2009.1
+ Revision: 321591
- update to new version 1.3.4
- drop patch1, no longer needed
- Patch3: rediff to meet nofuzz
- support bzip2 compressed bitmap fonts
- set path to font encodings and require x11-font-encodings

* Wed Jul 16 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.3-1mdv2009.0
+ Revision: 236605
- Update to version 1.3.3

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-1mdv2009.0
+ Revision: 193159
- new release

* Wed Feb 13 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.1-3mdv2008.1
+ Revision: 166854
- Revert build requires.
  Close http://qa.mandriva.com/show_bug.cgi?id=37101.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.1-2mdv2008.1
+ Revision: 153297
- Update BuildRequires and rebuild.
  Disable visibility patch as it is being used only as a "documentation" of
  functions called by the X Server.
  This library needs some careful review/analysis of all code using it, as
  a large amount of libXfont symbols clash with X Server symbols, where it is
  expected that the dynamic linker will prefer the X Server symbols.
- This is a "noop" patch. But it can be considered a list of the functions,
  code from X Server uses from libXfont, at a later stage, this library can be
  changed to make available only the public symbols.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.1-1mdv2008.1
+ Revision: 96266
- new version: 1.3.1 (for real this time)
- backport patch "prevent-a-one-character-overflow" from git
- (re)add patch "rescan-catalogue-dir-fontpaths-on-directory-change"
  which was removed by mistake.

* Tue Oct 09 2007 Thierry Vignaud <tv@mandriva.org> 1.3.0-3mdv2008.1
+ Revision: 96069
- new release

* Sat Jul 14 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-3mdv2008.0
+ Revision: 51902
- Add rescan-catalogue-dir-fontpaths-on-directory-change.patch, now the
  fontpath is updated if font directories are changed (and not only if
  fontpath.d is changed, as before)
- remove unnecessary configure flags

* Tue Jul 10 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-2mdv2008.0
+ Revision: 51040
- add patch to fix dirfd leak when rescanning /etc/X11/fontpath.d
- add patch to correctly support relative symlinks inside fontpath.d

* Mon Jul 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-1mdv2008.0
+ Revision: 47248
- new upstream version: 1.3.0

* Fri Jun 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.9-1mdv2008.0
+ Revision: 43198
- new upstream version: 1.2.9
- fontpath_d patch removed (already upstream)

* Wed Jun 20 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.8-3mdv2008.0
+ Revision: 41899
- update symlink-fontspatch.patch, now the dir mtime
  is cached and symlinks changes are effective immediately.

* Tue Jun 19 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.8-2mdv2008.0
+ Revision: 41650
- add libxfont-1.2.8-symlink-fontpaths.patch (patch from RH, sent
  to the xorg list today), which allows fpe to be set to a catalog
  dir where symlinks point to the real font-paths. A
  soon-to-be-released xfs package will make use of this feature,
  thus applications won't have to keep rewriting the xfs config
  file every time a new font-path is added.

  + Thierry Vignaud <tv@mandriva.org>
    - we don't care about library's minor

* Mon Apr 30 2007 Thierry Vignaud <tv@mandriva.org> 1.2.8-1mdv2008.0
+ Revision: 19609
- new release


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.7-1mdv2007.0
+ Revision: 116402
- new upstream version: 1.2.7

* Tue Nov 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2007.1
+ Revision: 84142
- new release
- kill patches 0, 2 & 3 (merged upstream)

* Wed Aug 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-4mdv2007.0
+ Revision: 58697
- Fix a buffer overflow when reading bad pcf files (#24627)
- adding a patch for using -fPIC for non-x86
- rebuild to fix cooker uploading
- new upstream release: 1.1.0 (X11R7.1)
- added a patch fixing compilation with freetype 2.2
  (it seems there are still problems to be fixed, but in most cases it works)
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

